import java.util.*;

public class F6_exempel3 {

  List<Pair<Die, Die>> diceList;

  public F6_exempel3() {
    diceList = new LinkedList<Pair<Die, Die>>();
    initList();
    showSortedList();
  }

  public void initList(){
    diceList.add(new Pair<Die, Die>(new Die(), new Die()));
    diceList.add(new Pair<Die, Die>(new Die(), new Die()));
    diceList.add(new Pair<Die, Die>(new Die(), new Die()));
    diceList.add(new Pair<Die, Die>(new Die(), new Die()));
  }

  public void showSortedList(){
     
     DiceComparator dc = new DiceComparator();
     Collections.sort(diceList, dc);
     
     Iterator<Pair<Die, Die>> i = diceList.iterator();  
     while(i.hasNext()){
       Pair<Die, Die> pair = i.next();
       int first = pair.getFirst().getDots();
       int second = pair.getSecond().getDots();
       System.out.println(first + second);
     }
  }

  public static void main(String[] args){
    new F6_exempel3();
  }

}

class DiceComparator implements Comparator<Pair<Die, Die>> {
  
   public int compare(Pair<Die, Die> p1, Pair<Die, Die> p2) {
      return (p1.getFirst().getDots() + p1.getSecond().getDots()) 
           - (p2.getSecond().getDots() + p2.getSecond().getDots()) ;
   }
}